package cn.superdesk.uniorder.dao.mapper._statistics;

import java.util.List;

import cn.superdesk.uniorder.dao.entity.statistics.receivable.StReceivableDetailDataEntity;
import cn.superdesk.uniorder.dao.entity.statistics.receivable.StReceivableDetailDataEntityExample;
import org.apache.ibatis.annotations.Param;

public interface StReceivableDetailDataEntityMapper {
    long countByExample(StReceivableDetailDataEntityExample example);

    int deleteByExample(StReceivableDetailDataEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StReceivableDetailDataEntity record);

    int insertSelective(StReceivableDetailDataEntity record);

    List<StReceivableDetailDataEntity> selectByExample(StReceivableDetailDataEntityExample example);

    StReceivableDetailDataEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StReceivableDetailDataEntity record, @Param("example") StReceivableDetailDataEntityExample example);

    int updateByExample(@Param("record") StReceivableDetailDataEntity record, @Param("example") StReceivableDetailDataEntityExample example);

    int updateByPrimaryKeySelective(StReceivableDetailDataEntity record);

    int updateByPrimaryKey(StReceivableDetailDataEntity record);
}